GCLOUD_AUTH_LIST(1)

NAME

gcloud auth list - lists credentialed accounts

SYNOPSIS

gcloud auth list [--filter-account FILTER_ACCOUNT] [--filter EXPRESSION] [--limit LIMIT] [--page-size PAGE_SIZE] [--sort-by FIELDS] [GLOBAL-FLAG ...]

DESCRIPTION
Lists accounts whose credentials have been obtained using gcloud init, gcloud auth login and gcloud auth activate-service-account, and shows which account is active. The active account is used by gcloud and other Cloud SDK tools to access Google Cloud Platform.

FLAGS
--filter-account FILTER_ACCOUNT
    List only credentials for one account. Use --filter="account~PATTERN" to select accounts that match PATTERN.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--page-size PAGE_SIZE
    Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list the active account name:
    $ gcloud auth list --filter=status:ACTIVE --format="value(account)"
To list the inactive account names with prefix test:
    $ gcloud auth list --filter="-status:ACTIVE account:test*" \
        --format="value(account)"